Bug 243725 - audio/sonata: update to git version to save from the pythonpocalypse and migrate to gtk3
Summary: audio/sonata: update to git version to save from the pythonpocalypse and migr...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-01-30 11:25 UTC by Greg V
Modified: 2020-03-21 02:27 UTC (History)
1 user (show)

See Also:


Attachments
sonata.patch (9.49 KB, patch)
2020-01-30 11:25 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2020-01-30 11:25:15 UTC
Created attachment 211189 [details]
sonata.patch

Yeah, it's old, it's not actively maintained, but the git version uses Python 3 and GTK 3, so let's save it from the Python 2 deprecation.
Comment 1 Steve Wills freebsd_committer 2020-01-30 20:16:19 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/113590086
Comment 2 Rene Ladan freebsd_committer 2020-03-20 02:42:14 UTC
Steal from Nicola.
Comment 3 commit-hook freebsd_committer 2020-03-21 01:48:41 UTC
A commit references this bug:

Author: rene
Date: Sat Mar 21 01:48:24 UTC 2020
New revision: 528820
URL: https://svnweb.freebsd.org/changeset/ports/528820

Log:
  audio/sonata: Update to 1.7b1-22 which supports Python 3.

  PR:		243725
  Submitted by:	Greg V
  Approved by:	maintainer timeout (nivit, 20+ days)

Changes:
  head/audio/sonata/Makefile
  head/audio/sonata/distinfo
  head/audio/sonata/files/
Comment 4 Rene Ladan freebsd_committer 2020-03-21 02:27:11 UTC
Commmitted with minor modification, thanks for the patch!